Summary:	A GUI builder for wxWindows/wxPython
Name:		wxGlade
Version:	1.1.0
Release:	1
License:	MIT
Group:		Development/Other
Url:		https://wxglade.sourceforge.net/
Source:		https://downloads.sourceforge.net/project/wxglade/wxglade/%{version}/%{name}-%{version}.zip
Requires:	python3
Requires:	python3-wxpython4
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)
BuildArch:	noarch

%description
wxGlade is a GUI designer written in Python with the popular GUI toolkit 
wxPython, that helps you create wxWindows/wxPython user interfaces. At the 
moment it can generate Python, C++ and XRC (wxWindows' XML resources) code.

As you can guess by the name, its model is Glade, the famous GTK+/GNOME 
GUI builder, with which wxGlade shares the philosophy and the look & feel 
(but not a line of code).

It is not (and will never be) a full featured IDE, but simply a "designer": 
the generated code does nothing apart from displaying the created widgets. 
If you are looking for a complete IDE, maybe Boa Constructor or PythonCard 
is the right tool.

%files
%doc docs README.* CREDITS.txt LICENSE.txt
%{_bindir}/wxglade
%{python3_sitelib}/wxglade
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/wxglade/icons
%{_datadir}/wxglade/templates
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

#-------------------------------------------------------------------

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

# icons
mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -resize 32x32 icons/wxglade_small.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 icons/wxglade_small.png %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 48x48 icons/wxglade_small.png %{buildroot}%{_liconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A GUI builder for wxWindows/wxPython
Exec=wxglade
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;GUIDesigner;
EOF

# docs handled by doc section
rm -rf %{buildroot}%{_datadir}/doc/wxglade

# fix attr
chmod a+x %{buildroot}%{python3_sitelib}/wxglade/{xrc2wxg,wxglade,templates_ui,msgdialog}.py

